#ifndef BREEZE_MODULE_H
#define BREEZE_MODULE_H

#include "../defines.h"

typedef enum BzModule {
    BZ_MODULE_LOGGER,
    BZ_MODULE_APPLICATION,
    BZ_MODULE_INPUT,
    BZ_ENGINE_MODULE_COUNT
} BzModule;

bool bzModuleIsAllocated(BzModule module);
void *bzModuleRetrieve(BzModule module);
void *bzModuleAllocate(BzModule module, size_t sizeBytes);
void bzModuleFree(BzModule module);

#endif //BREEZE_MODULE_H
